com.h3c.sdn.misc.dsync

## Class SyncObjException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.h3c.sdn.misc.dsync.SyncObjException

- All Implemented Interfaces:
    Serializable

      public class SyncObjException
      extends RuntimeException

  Abstraction of exception conditions that can be encountered while dealing with SyncObjects.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SyncObjException()` Default no arg constructor
    `SyncObjException(String msg)` Constructor which accepts the exception message.
    `SyncObjException(String msg, Throwable cause)` Constructor that accepts both message and the cause abstractions
    `SyncObjException(Throwable cause)` Constructor that accepts the cause abstraction.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SyncObjException

          public SyncObjException()

      Default no arg constructor

    - #### SyncObjException

          public SyncObjException(String msg)

      Constructor which accepts the exception message.
      Parameters:
        `msg` - the message for the exception event.

    - #### SyncObjException

          public SyncObjException(Throwable cause)

      Constructor that accepts the cause abstraction.
      Parameters:
        `cause` - the encapsulating Throwable for the exception event..

    - #### SyncObjException

          public SyncObjException(String msg,
                          Throwable cause)

      Constructor that accepts both message and the cause abstractions
      Parameters:
        `msg` - the message for the exception event
        `cause` - the encapsulating Throwable for the exception event.

Copyright © 2014. All Rights Reserved.